Draft Scale/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
{{GuiCommand/sv|Name=Draft Scale|Name/sv=Draft Scale|Workbenches=[[Draft Module/sv|Draft]], [[Arch Module/sv|Arch]]|MenuLocation=Draft → Scale|Shortcut=S C|SeeAlso=[[Draft Clone/sv|Draft Clone]]}}
{{GuiCommand/sv|Name=Draft Scale|Name/sv=Draft Scale|Workbenches=[[Draft Module/sv|Draft]], [[Arch Module/sv|Arch]]|MenuLocation=Draft → Scale|Shortcut=S C|SeeAlso=[[Draft Clone/sv|Draft Clone]]}}


==Beskrivning==
==Beskrivning==


<div class="mw-translate-fuzzy">
This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one. It can also be used to mirror objects.
Detta verktyg skalar valda objekt runt en baspunkt. Om inga objekt är markerade, så kommer du ombes att välja ett.
</div>


[[Image:Draft_Scale_example.jpg|400px]]
[[Image:Draft_Scale_example.jpg|400px]]
Line 11: Line 14:
# Select objects you wish to scale
# Select objects you wish to scale
# Press the {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale]]}} button, or press {{KEY|S}} then {{KEY|C}} keys
# Press the {{KEY|[[Image:Draft Scale.png|16px]] [[Draft Scale]]}} button, or press {{KEY|S}} then {{KEY|C}} keys
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] to define the base point of the scaling
# Another task dialog with scaling options opens. Fill in the different options, and press {{KEY|OK}} to accept
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


==Options==
==Options==


<div class="mw-translate-fuzzy">
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Markera en punkt i ett tomt område i 3d vyn, eller på ett existerande objekt för baspunkten, sedan en annan punkt för skalfaktorn
* The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
* x, y och z komponenterna av den andra punkten definierar skalfaktorn. Till exempel, (1,1,1) gör ingenting, (2,2,2) kommer att skala 2x i alla riktningar, (-1,1,1) kommer att spegla i x riktningen.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of scaling the original. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Nedtryckning av {{KEY|CTRL}} kommer att [[Draft_Snap/sv|snäppa]] din punkt till tillgängliga snäpp-punkter.
* Pressing {{KEY|SHIFT}} will lock x and y values together, so the shape is not deformed.
* Nedtryckning av {{KEY|SKIFT}} kommer att koppla ihop x och y värdena, att förhållandet inte ändras
* Om du trycker på {{KEY|ESC}} så avbryts funktionen.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
* Skriv in siffror för att [[Draft_Coordinates/sv|manuellt mata in en koordinat]].
* The resulting object is a [[Draft Clone]], which allows you to change the scale values after it has been created.
* {{KEY|C}} växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.
* Mirroring objects works by inverting the sign of one of the directions. For example, (-1,1,1) mirrors horizontally (on the X axis), and (1,-1,1) vertically (on the Y axis).
* Nedtryckning av {{KEY|ALT}} kommer att skapa en kopia, även om kopieringsknappen är av.
* Om {{KEY|ALT}} är nedtryckt, så kan du göra multipla kopior ända tills {{KEY|ALT}} släpps.
</div>


==Scripting==
==Scripting==
Line 44: Line 50:
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
}}
}}

<languages/>

Revision as of 21:08, 2 August 2018

Draft Scale

Menyplacering
Draft → Scale
Arbetsbänkar
Draft, Arch
Standard genväg
S C
Introducerad i version
-
Se även
Draft Clone

Beskrivning

Detta verktyg skalar valda objekt runt en baspunkt. Om inga objekt är markerade, så kommer du ombes att välja ett.

File:Draft Scale example.jpg

Bruk

  1. Select objects you wish to scale
  2. Press the Draft Scale button, or press S then C keys
  3. Click a first point on the 3D view, or type a coordinate to define the base point of the scaling
  4. Another task dialog with scaling options opens. Fill in the different options, and press OK to accept

Options

  • Markera en punkt i ett tomt område i 3d vyn, eller på ett existerande objekt för baspunkten, sedan en annan punkt för skalfaktorn
  • x, y och z komponenterna av den andra punkten definierar skalfaktorn. Till exempel, (1,1,1) gör ingenting, (2,2,2) kommer att skala 2x i alla riktningar, (-1,1,1) kommer att spegla i x riktningen.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att koppla ihop x och y värdena, så att förhållandet inte ändras
  • Om du trycker på ESC så avbryts funktionen.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • C växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.
  • Nedtryckning av ALT kommer att skapa en kopia, även om kopieringsknappen är av.
  • Om ALT är nedtryckt, så kan du göra multipla kopior ända tills ALT släpps.

Scripting

The Scale tool can by used in macros and from the python console by using the following function:

scale (objects,vector,[center,copy,legacy])
  • Scales the objects contained in objects (that can be a list of objects or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
  • If legacy is True, direct (old) mode is used, otherwise a parametric copy is made.
  • If copy is True, the actual objects are not moved, but copies are created instead.
  • The objects (or their copies) are returned.

Example:

import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))